<template>
	<div class="my-template-623"
    :style="{
      backgroundColor: '#f4f4f4',
      minHeight: mainHeight,
      overflow: 'auto',
      width: '100%'}"
  >
	<div style="padding:10px;width:100%">
			<el-row :style="{ margin: '15px 0 15px 0',}">
<el-col :span="24">
<el-form
      :rules="rules"
      :model="model_yun_storage_flow"
      :inline="false"
      ref="ruleForm"
      label-width="auto"
      size="default"
      :hide-required-asterisk="false"
      :class="formContent">
		<el-row :gutter="5">
			<el-col :span="4">
	<el-form-item label="订单号：" prop="order_no">
			<el-input :size="size" v-model="model_yun_storage_flow.order_no"  />
 	</el-form-item>
	  		</el-col>
<el-col  :span="4"  style="margin-bottom: 10px;">
          <el-button icon="search" size="default" type="primary" @click="searchData">
            搜索
          </el-button>
          <el-button icon="Delete" size="default" type="danger" @click="clearSearch">
            清除
          </el-button>
        </el-col>		</el-row>
	</el-form>

</el-col>
			</el-row>
 		<el-table
        :data="dataList"
        :class="tableClassNames"
        ref="table"
        :size="tableSize"
        min-height="100"
        :border="false"
        :highlight-current-row="true"
        style="width: 100%;"
        :showHeader="true"
        @selection-change="handleSelectionChange"
        :header-cell-style="{
          background: '#eef1f6',
          color: '#606266'}">
        	<el-table-column
          type="selection" fixed
        ></el-table-column>
		<el-table-column
          key=6431
          :show-overflow-tooltip="true"
          align="center"
          look=6431
          min-width="180px"
          column-key=6431
          prop="id"
          width="auto"
          class="itemTrue"
          label="id"
        >
		</el-table-column>

		<el-table-column
          key=6432
          :show-overflow-tooltip="true"
          align="center"
          look=6432
          min-width="180px"
          column-key=6432
          prop="order_type"
          width="auto"
          class="itemTrue"
          label="订单类型"
        >
		</el-table-column>

		<el-table-column
          key=6334
          :show-overflow-tooltip="true"
          align="center"
          look=6334
          min-width="180px"
          column-key=6334
          prop="order_no"
          width="auto"
          class="itemTrue"
          label="订单号"
        >
		</el-table-column>

		<el-table-column
          key=6335
          :show-overflow-tooltip="true"
          align="center"
          look=6335
          min-width="180px"
          column-key=6335
          prop="product_id"
          width="auto"
          class="itemTrue"
          label="产品id"
        >
		</el-table-column>

		<el-table-column
          key=6337
          :show-overflow-tooltip="true"
          align="center"
          look=6337
          min-width="180px"
          column-key=6337
          prop="sub_num"
          width="auto"
          class="itemTrue"
          label="扣减数量"
        >
		</el-table-column>

		<el-table-column
          key=6338
          :show-overflow-tooltip="true"
          align="center"
          look=6338
          min-width="180px"
          column-key=6338
          prop="add_num"
          width="auto"
          class="itemTrue"
          label="新增数量"
        >
		</el-table-column>

		</el-table>
</div> 
</div>
</template>
<script>

export default {
	created(){
 		this.getInit()
	},
 	data(){
  		return{ 
		size: "large",
model_yun_storage_flow:{},
			dataList:[{"order_no":"测试订单号0","sub_num":0,"product_id":0,"add_num":0,"id":0,"order_type":"测试订单类型0"},{"order_no":"测试订单号1","sub_num":1,"product_id":1,"add_num":1,"id":1,"order_type":"测试订单类型1"},{"order_no":"测试订单号2","sub_num":2,"product_id":2,"add_num":2,"id":2,"order_type":"测试订单类型2"},{"order_no":"测试订单号3","sub_num":3,"product_id":3,"add_num":3,"id":3,"order_type":"测试订单类型3"},{"order_no":"测试订单号4","sub_num":4,"product_id":4,"add_num":4,"id":4,"order_type":"测试订单类型4"}],
			mainHeight:"",

		}
	},
 	methods:{
		getInit(){
 			this.mainHeight=window.innerHeight+'px';//高度；初始化
		},
searchData() {
      alert("这里是搜索！");
    },
    clearSearch() {
      alert("清除所有搜索条件！");
    },
		handleSelectionChange(val){
 			console.log("选中数据！")
		},

	}
}
</script>
<style lang="less" scoped>
.my-template-623{
}
</style>

